## r-cran-jinjar 0.3.0+dfsg

=== DESCRIPTION ===
Package: jinjar
Title: Template Engine Inspired by 'Jinja'
Version: 0.3.0
Authors@R: c(
    person("David", "Hall", , "david.hall.physics@gmail.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-2193-0480")),
    person("Lars", "Berscheid", role = "cph",
           comment = "Author of bundled inja library"),
    person("Niels", "Lohmann", role = "cph",
           comment = "Author of bundled json library")
  )
Description: Template engine powered by the 'inja' C++ library. Users
    write a template document, using syntax inspired by the 'Jinja' Python
    package, and then render the final document by passing data from R.
    The template syntax supports features such as variables, loops,
    conditions and inheritance.
License: MIT + file LICENSE
URL: https://davidchall.github.io/jinjar/,
        https://github.com/davidchall/jinjar
BugReports: https://github.com/davidchall/jinjar/issues
Imports: cli, fs, jsonlite, rlang (>= 1.0.0)
Suggests: knitr, rmarkdown, testthat
LinkingTo: cpp11
VignetteBuilder: knitr
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-US
RoxygenNote: 7.2.1
SystemRequirements: C++11
NeedsCompilation: yes
Packaged: 2022-07-23 17:36:33 UTC; davidhall
Author: David Hall [aut, cre, cph] (<https://orcid.org/0000-0002-2193-0480>),
  Lars Berscheid [cph] (Author of bundled inja library),
  Niels Lohmann [cph] (Author of bundled json library)
Maintainer: David Hall <david.hall.physics@gmail.com>
Repository: CRAN
Date/Publication: 2022-07-23 17:50:02 UTC

=== debian/changelog ===
r-cran-jinjar (0.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jul 2022 08:27:01 +0200

r-cran-jinjar (0.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jun 2022 11:43:06 +0200

r-cran-jinjar (0.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 11:48:51 +0200

r-cran-jinjar (0.1.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 28 Mar 2022 23:42:14 +0530

r-cran-jinjar (0.1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1005377)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Mar 2022 14:29:30 +0530

=== debian/control ===
Source: r-cran-jinjar
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jinjar
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jinjar.git
Homepage: https://cran.r-project.org/package=jinjar
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-fs,
               r-cran-jsonlite,
               r-cran-rlang (>= 1.0.0),
               r-cran-cpp11,
               nlohmann-json3-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-jinjar
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R template engine inspired by 'Jinja'
 Template engine powered by the 'inja' C++ library. Users
 write a template document, using syntax inspired by the 'Jinja' Python
 package, and then render the final document by passing data from R.
 The template syntax supports features such as variables, loops,
 conditions and inheritance.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-rmarkdown
Restrictions: allow-stderr

## r-cran-jinjar 0.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: jinjar
 Title: Template Engine Inspired by 'Jinja'
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: c(
     person("David", "Hall", , "david.hall.physics@gmail.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-2193-0480")),
@@ -25,13 +25,12 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.1
-SystemRequirements: C++11
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-07-23 17:36:33 UTC; davidhall
+Packaged: 2023-11-01 15:37:29 UTC; davidhall
 Author: David Hall [aut, cre, cph] (<https://orcid.org/0000-0002-2193-0480>),
   Lars Berscheid [cph] (Author of bundled inja library),
   Niels Lohmann [cph] (Author of bundled json library)
 Maintainer: David Hall <david.hall.physics@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-07-23 17:50:02 UTC
+Date/Publication: 2023-11-01 15:50:02 UTC

=== debian/changelog ===
r-cran-jinjar (0.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2023 19:45:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jinjar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jinjar.git
 Homepage: https://cran.r-project.org/package=jinjar
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-jinjar 0.3.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: jinjar
 Title: Template Engine Inspired by 'Jinja'
-Version: 0.3.1
+Version: 0.3.2
 Authors@R: c(
     person("David", "Hall", , "david.hall.physics@gmail.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-2193-0480")),
@@ -25,12 +25,12 @@
 Config/testthat/edition: 3
 Encoding: UTF-8
 Language: en-US
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-11-01 15:37:29 UTC; davidhall
+Packaged: 2025-03-13 02:29:35 UTC; davidhall
 Author: David Hall [aut, cre, cph] (<https://orcid.org/0000-0002-2193-0480>),
   Lars Berscheid [cph] (Author of bundled inja library),
   Niels Lohmann [cph] (Author of bundled json library)
 Maintainer: David Hall <david.hall.physics@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-11-01 15:50:02 UTC
+Date/Publication: 2025-03-13 03:40:02 UTC

=== debian/changelog ===
r-cran-jinjar (0.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 17 Mar 2025 09:38:56 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-jinjar
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-jinjar.git
 Homepage: https://cran.r-project.org/package=jinjar
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack" \
  https://cloud.r-project.org/src/contrib/jinjar_([-\d.]*)\.tar\.gz
